## update-manager 0.142.19

=== debian/changelog ===
update-manager (1:0.142.19) maverick; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - only add extras.ubuntu.com for systems that have the matching
      keyring (LP: #653200). This ensures its not added on a server
      upgrade.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 16:29:18 +0200

update-manager (1:0.142.18) maverick; urgency=low

  [ Alessandro Ghersi ]
  * DistUpgrade/DistUpgrade.cfg:
    - make sure that kbluetooth gets removed on upgrade (LP: #653838)

  [ Jonathan Riddell ]
  * Add kubuntu-devel-release-upgrade to setup.py
 
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 13:19:18 +0200

update-manager (1:0.142.17) maverick; urgency=low

  [ Jonathan Riddell]
  * Add kubuntu-devel-release-upgrade script to run the upgrade 
    command for Kubuntu
  
  [ Michael Vogt ]
  * if foomatic-db-gutenprint needs to be removed during the upgrade
    because its not compatible with foomatic-db-compressed-ppds,
    try replacing it with ijsgutenprint-ppds which is the same content,
    just compressed in the same way like foomatic-db-compressed-ppds
    (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 21:28:24 +0200

update-manager (1:0.142.16) maverick; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add link to http://www.ubuntu.com/desktop/features to tell
      users about the new features in this release
  * DistUpgrade/DistUpgrade.cfg:
    - help the upgrade by removing printconf, foomatic-db-gutenprint 
      and ebox-printers as they are not compatible with 
      foomatic-db-compressed-ppds (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Sep 2010 20:22:36 +0200

update-manager (1:0.142.15) maverick; urgency=low

  * po/*.po:
    - updated from launchpad translations for the RC candidate
  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 14:21:57 +0200

update-manager (1:0.142.14) maverick; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/mirrors.cfg:
    - add extras.ubuntu.com to known mirrors
  * DistUpgrade/DistUpgradeQuirks.py:
    - add extras.ubuntu.com on upgrade
  * AutoUpgradeTester/jeos/create-base-image.sh:
    - add workaround for issue with python-vm-builder that generates
      random filenames in maverick
  
  [ Gabor Kelemen ]
  * Fix invocation of gksu, use the correct .desktop file.
    Fixes LP: #640906
  * Correct misplaced parentheses, so that l10n of strings will 
    work. Fixes LP: #640972

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Sep 2010 17:00:34 +0200

update-manager (1:0.142.13) maverick; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - only show demotions if we have at least one

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Sep 2010 09:37:39 +0200

update-manager (1:0.142.12) maverick; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Sep 2010 09:14:59 +0200

update-manager (1:0.142.11) maverick; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix incorrect paramter passed to confirmChanges in doPostUpgrade
      (thanks to Jonathan Riddel, LP: #624599)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 13:29:44 +0200

update-manager (1:0.142.10) maverick; urgency=low

  * UpdateManager/UpdateManager.py:
    - when NM thinks we have no network, do not disable the
      install button because for dialup users NM is frequently wrong
      and does not get that there is a network-connection (LP: #624894)
      (thanks to Mohamed Amine IL Idrissi)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 10:54:42 +0200

update-manager (1:0.142.9) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * UpdateManager/UpdateManager.py: Changed the whitespace place to not
    confuse translators, many thanks Milo Casagrande (LP: #621373)
  * DistUpgrade/DistUpgradeView.py: There won't be two spaces in
    FuzzyTimeToStr when days or hours are > 0 and hours or minutes are
    equal to 0 (LP: #288912)
  
  [ Michael Vogt ]
  * remove the seperate demotions dialog and move it into the 
    "Confirm changes" step
  * use a treeview instead of a list to show the details of the
    changes in the gtk frontend
  * UpdateManager/UpdateManager.py, data/glade/UpdateManager.ui:
    - fix label wraping for label_downsize

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 11:17:00 +0200

update-manager (1:0.142.8) maverick; urgency=low

  * UpdateManager/Core/utils.py:
    - fix typo (LP: #615923)
  * UpdateManager/UpdateManager.py:
    - when NM thinks we have no network, do not disable the buttons
      because for dialup users NM is frequently wrong and does not 
      get that there is a network-connection (thanks to "gambs")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Aug 2010 11:53:47 +0200

update-manager (1:0.142.7) maverick; urgency=low
  
  [ Mohamed Amine IL Idrissi ]
  * Cache is no 
  longer initialized when an operation is not authorized.
    LP: #394608
  * List of updates is active when there are only kept packages.
    LP: #601127 (thanks, Nicolò Chieffo)
  
  [ Michael Vogt ]
  * merged  lp:~simono/update-manager/fixes-bug-563640, many thanks
    (LP: #563640)
  * merged lp:~yofel/update-manager/lp601127 (LP: #601127)
  
  [ Jean-Baptiste Lallement ]
  * UpdateManager/Core/MyCache.py:
    - catch network error when fetching 3rd party changelogs 
      (LP: #565896)

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: grammar fix

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Aug 2010 09:04:47 +0200

update-manager (1:0.142.6) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * Implemented battery and network alerts directly in the main window.
    LP: #484249, #426708, #426710, #494772

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - support looking for the changelog by source version
      (and add tests)

