## update-manager 0.142.22trisquel2

=== debian/changelog ===
update-manager (1:0.142.22trisquel2) slaine; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Feb 2011 11:45:51 +0000

update-manager (1:0.142.22) slaine-proposed; urgency=low

  [ Barry Warsaw ]
  * Add required details to .emit() call when running with
    synaptic as the backend (LP: #631328)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - fixes in the cmov quirks handler (LP: #587186)
      (thanks to Jean-Baptiste Lallement)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Nov 2010 09:30:28 +0100

update-manager (1:0.142.21) slaine-proposed; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - abort the upgrade if the user runs on a i586 or a i686
      with no "cmov" support (LP: #587186)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Oct 2010 15:41:03 +0200

update-manager (1:0.142.20) slaine-proposed; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - do not crash if the free space check fails (LP: #656881)
  * DistUpgrade/DistUpgrade.cfg:
    - add blcr-dkms to the "BadVersions" variable. The current blcr-dkms
      source will not build with 2.6.35. Adding it here will cause the
      upgrade to abort with a message if it is installed. 
      It also means that if support for 2.6.35 is added to blcr-dkms via
      a SRU that will automatically unblock the upgrade (LP: #555729)
  * DistUpgrade/DistUpgradeViewGtk.py,
    DistUpgrade/DistUpgradeViewKDE.py,:
    - workaround dpkg not sending the correct filename on conffile
      prompts over the status-fd (LP: #656912)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable confDialogue.show_difference_button, workaround for 
      "distupgrade crashed during conf file change review" (LP: #656876)
      requires release note that user needs to view changes manually on command line

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 09 Oct 2010 19:08:23 +0100

update-manager (1:0.142.19) slaine; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - only add extras.ubuntu.com for systems that have the matching
      keyring (LP: #653200). This ensures its not added on a server
      upgrade.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 16:29:18 +0200

update-manager (1:0.142.18) slaine; urgency=low

  [ Alessandro Ghersi ]
  * DistUpgrade/DistUpgrade.cfg:
    - make sure that kbluetooth gets removed on upgrade (LP: #653838)

  [ Jonathan Riddell ]
  * Add kubuntu-devel-release-upgrade to setup.py
 
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 13:19:18 +0200

update-manager (1:0.142.17) slaine; urgency=low

  [ Jonathan Riddell]
  * Add kubuntu-devel-release-upgrade script to run the upgrade 
    command for Kubuntu
  
  [ Michael Vogt ]
  * if foomatic-db-gutenprint needs to be removed during the upgrade
    because its not compatible with foomatic-db-compressed-ppds,
    try replacing it with ijsgutenprint-ppds which is the same content,
    just compressed in the same way like foomatic-db-compressed-ppds
    (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 21:28:24 +0200

update-manager (1:0.142.16) slaine; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add link to http://www.ubuntu.com/desktop/features to tell
      users about the new features in this release
  * DistUpgrade/DistUpgrade.cfg:
    - help the upgrade by removing printconf, foomatic-db-gutenprint 
      and ebox-printers as they are not compatible with 
      foomatic-db-compressed-ppds (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Sep 2010 20:22:36 +0200

update-manager (1:0.142.15) slaine; urgency=low

  * po/*.po:
    - updated from launchpad translations for the RC candidate
  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 14:21:57 +0200

update-manager (1:0.142.14) slaine; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/mirrors.cfg:
    - add extras.ubuntu.com to known mirrors
  * DistUpgrade/DistUpgradeQuirks.py:
    - add extras.ubuntu.com on upgrade
  * AutoUpgradeTester/jeos/create-base-image.sh:
    - add workaround for issue with python-vm-builder that generates
      random filenames in slaine
  
  [ Gabor Kelemen ]
  * Fix invocation of gksu, use the correct .desktop file.
    Fixes LP: #640906
  * Correct misplaced parentheses, so that l10n of strings will 
    work. Fixes LP: #640972

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Sep 2010 17:00:34 +0200

update-manager (1:0.142.13) slaine; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - only show demotions if we have at least one

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Sep 2010 09:37:39 +0200

update-manager (1:0.142.12) slaine; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Sep 2010 09:14:59 +0200

update-manager (1:0.142.11) slaine; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix incorrect paramter passed to confirmChanges in doPostUpgrade
      (thanks to Jonathan Riddel, LP: #624599)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 13:29:44 +0200

update-manager (1:0.142.10) slaine; urgency=low

  * UpdateManager/UpdateManager.py:
    - when NM thinks we have no network, do not disable the
      install button because for dialup users NM is frequently wrong
      and does not get that there is a network-connection (LP: #624894)
      (thanks to Mohamed Amine IL Idrissi)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 10:54:42 +0200

update-manager (1:0.142.9) slaine; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * UpdateManager/UpdateManager.py: Changed the whitespace place to not
    confuse translators, many thanks Milo Casagrande (LP: #621373)
  * DistUpgrade/DistUpgradeView.py: There won't be two spaces in

