## update-manager 0.142.23.2

=== debian/changelog ===
update-manager (1:0.142.23.2) maverick-security; urgency=low

  * REGRESSION FIX: 
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2012 22:45:27 -0500

update-manager (1:0.142.23.1) maverick-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 09:29:26 -0500

update-manager (1:0.142.23) maverick-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add quirks handler for upgrade form the kubuntu ppa 
      (LP: #680088)
  * UpdateManager/Core/DistUpgradeFetcherCore.py, do-release-upgrade:
    - fix deprecation warnings (LP: #744990)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Mar 2011 10:01:59 +0200

update-manager (1:0.142.22) maverick-proposed; urgency=low

  [ Barry Warsaw ]
  * Add required details to .emit() call when running with
    synaptic as the backend (LP: #631328)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - fixes in the cmov quirks handler (LP: #587186)
      (thanks to Jean-Baptiste Lallement)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Nov 2010 09:30:28 +0100

update-manager (1:0.142.21) maverick-proposed; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - abort the upgrade if the user runs on a i586 or a i686
      with no "cmov" support (LP: #587186)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Oct 2010 15:41:03 +0200

update-manager (1:0.142.20) maverick-proposed; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - do not crash if the free space check fails (LP: #656881)
  * DistUpgrade/DistUpgrade.cfg:
    - add blcr-dkms to the "BadVersions" variable. The current blcr-dkms
      source will not build with 2.6.35. Adding it here will cause the
      upgrade to abort with a message if it is installed. 
      It also means that if support for 2.6.35 is added to blcr-dkms via
      a SRU that will automatically unblock the upgrade (LP: #555729)
  * DistUpgrade/DistUpgradeViewGtk.py,
    DistUpgrade/DistUpgradeViewKDE.py,:
    - workaround dpkg not sending the correct filename on conffile
      prompts over the status-fd (LP: #656912)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable confDialogue.show_difference_button, workaround for 
      "distupgrade crashed during conf file change review" (LP: #656876)
      requires release note that user needs to view changes manually on command line

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 09 Oct 2010 19:08:23 +0100
