## update-manager 0.150

=== debian/changelog ===
update-manager (1:0.150) natty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py, tests/test_quirks.py:
    - don't print a error for already patched files, this removes
      a misleading error from the upgrade logs
    - update tests
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Apr 2011 14:25:15 +0200

update-manager (1:0.147.6) natty; urgency=low

  * AutoUpgradeTester/profile/{euca-cloud,euca-nc,xubuntu}/DistUpgrade.cfg:
    - updated for maverick->natty now that the auto-upgrade-test server
      has more diskspace
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - make running-under-ssh check more robust by looking for sshd parent
  * DistUpgrade/DistUpgradeViewText.py:
    - make user confirm information() messages before continuing
      (important for e.g. the "sshd has started" message)
  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeController.py:
    - ensure that new recommends are installed on a desktop mode upgrade 
      even if that got disabled e.g. via synaptic (LP: #759262)
    - add test for this feature

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 10:05:29 +0200

update-manager (1:0.147.5) natty; urgency=low

  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - fix ssh detection (LP: #744995)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Apr 2011 18:24:30 +0200

update-manager (1:0.147.4) natty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py
   - Allow to view differences in conf file changes LP: #746431

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 14:42:15 +0100

update-manager (1:0.147.3) natty; urgency=low

  * merged lp:~evfool/update-manager/fix665173 (LP: #665173),
    many thanks to Robert Roth (update the test a bit)
  * merged lp:~evfool/update-manager/fix150677 (LP: #150677),
    many thanks to Robert Roth 
  * merged lp:~evfool/update-manager/fix727069 (LP: #727069),
    many thanks to Robert Roth 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Apr 2011 17:32:35 +0200

update-manager (1:0.147.2) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - no not trigger a apport exception on user auth issues and if
      the user does not type the password in time (LP: #626798)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 15:49:58 +0200

update-manager (1:0.147.1) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - use pkgsystem_unlock, improve exception handling, add test
  * DistUpgrade/DistUpgradeQuirks.py: 
    - add quirks handler for maverick->natty upgrade for the 
      kdegames-card-data case (LP: #745396)
  * tests/test_quirks.py:
    - add test for LP: #745396
  * UpdateManager/UpdateManager.py, do-release-upgrade:
    - point to http://www.ubuntu.com/releaseendoflife when the release
      is end-of-life message is displayed (LP: #671016)
  * DistUpgrade/EOLReleaseAnnouncement:
    - improve wording, this is displayed if the user is trying to upgrade
      from a unsupported version of Ubuntu to a already unsupported
      version. This now links to  http://www.ubuntu.com/releaseendoflife
      (LP: #671016)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Apr 2011 11:31:50 +0200

update-manager (1:0.147) natty; urgency=low

  [ Brian Murray]
  * UpdateManager/ReleaseNotesViewer.py: fix the path for gnome-open
    and default to xdg-open (LP: #693131) 
  
  [ Michael Vogt ]
  * DistUpgrade/apt_clone.py:
    - use apt_clone.py from the apt-clone package
  * debian/control:
    - add apt-clone to the build-depends
  * DistUpgrade/DistUpgradePatcher.py:
    - add native ed-style patch implementation as e.g. chroots
      may not have ed installed and its critical to be able to 
      ensure that pycompile is correct before the upgrade starts
  * do-release-upgrade:
    - use apt.progress.text.AcquireProgress to fix deprecation warning
  * DistUpgrade/DistUpgradeViewText.py:
    - fix deprecation warning (LP: #744990)
  * fix deprecation warnings in auxiliary scripts
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - fixes with the python-apt 0.8 API

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Mar 2011 17:58:14 +0200

update-manager (1:0.146.6) natty; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - fix description to say "BETA"
  * pre-build.sh:
    - cleanup cruft test leftover output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Mar 2011 16:45:29 +0200

update-manager (1:0.146.5) natty; urgency=low

  * fix FTBFS by including a apt_clone.py copy until apt-clone
    makes it through NEW

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Mar 2011 20:54:30 +0100

update-manager (1:0.146.4) natty; urgency=low

  * DistUpgrade/DistUpgradeMain.py, DistUpgrade/apt_clone.py: 
    Use apt-clone to create system-state instead of custom one
    (apt-clone_system_state.tar.gz)
    This makes reproducing problems a lot easier as apt-clone restore
    <statefile> can be used. It also means that ubiquity can pick up
    failed upgrades from the state file and finish them.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Mar 2011 16:05:11 +0100

update-manager (1:0.146.3) natty; urgency=low

  * DistUpgrade/DistUpgradeAptCdrom.py, DistUpgrade/DistUpgradeController.py:
    - comment out cdrom source after alternative CD based upgrade
  * DistUpgrade/DistUpgradeController.py:
    - show error message when cdrom fails to add
  * tests/test_cdrom.py:
    - add test for cdrom commenting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Mar 2011 16:19:21 +0100

update-manager (1:0.146.2) natty; urgency=low

  [ Michael Vogt ]
  *  data/glade/UpdateManager.ui, UpdateManager/UpdateManager.py:
    - improve wording of roaming warning, thanks to Alex Chiang
    - make the roaming warning label wrap
  * UpdateManager/UpdateManager.py:
    - fix crash in  _get_last_apt_get_update_text (LP: #712346)

