## update-manager 0.150.5+5.0trisquel3

=== debian/changelog ===
update-manager (1:0.150.5+5.0trisquel3) dagda; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Oct 2011 13:44:38 +0000

update-manager (1:0.150.5) dagda-proposed; urgency=low

  * update apport package hook to the same one as in Oneiric (LP: #878585)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Oct 2011 17:13:17 -0700

update-manager (1:0.150.4) dagda-proposed; urgency=low

  * check-new-release-gtk:
    - ensure to write a integer when calculating the next time that
      the release available window will be presented (LP: #873424)
    - hide redundant release-notes button (LP: #873432)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Oct 2011 17:35:24 +0200

update-manager (1:0.150.3) dagda-proposed; urgency=low

  [ Brian Murray ]
  * add in an apport package hook to increase the quality of update-manager
    bug reports (LP: #797894)
  
  [ Michael Vogt ]
  * DistUpgrade/mirrors.cfg:
    - automatic refresh of the mirror list 
  * utils/update-base-installer.sh:
    - use dagda as the base-installer source in the dagda branch

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Jun 2011 12:46:34 -0700

update-manager (1:0.150.2) dagda-proposed; urgency=low

  * debian/control:
    - point to "dagda" branch
  * DistUpgrade/DistUpgrade.cfg:
    - remove "kde-plasmoid-cwp" early as it will break upgrades
      later (LP: #773022)
  * DistUpgrade/DistUpgradeCache.py:
    - do not fail if not all meta-package can not be upgraded, packages
      like trisquel-desktop and xubuntu-desktop have implicit conflicts
      LP: #775411

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 May 2011 09:52:35 +0200

update-manager (1:0.150.1) dagda-proposed; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - do not report zero size attachments (LP: #772052)
  * DistUpgrade/DistUpgrade.cfg:
    - enable apport for distribution upgrades (LP: #772913)
  * DistUpgrade/DistUpgradeController.py:
    - use service to start apport

  [ Michael Vogt ]
  * DistUpgrade/DistUpgrade.cfg:
    - Remove 'dontzap' from kubuntu-desktops rules (LP: #769680).
      This fixes a upgrade issue when a old package is leftover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 15:55:38 +0200

update-manager (1:0.150) dagda; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py, tests/test_quirks.py:
    - don't print a error for already patched files, this removes
      a misleading error from the upgrade logs
    - update tests
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Apr 2011 14:25:15 +0200

update-manager (1:0.147.6) dagda; urgency=low

  * AutoUpgradeTester/profile/{euca-cloud,euca-nc,xubuntu}/DistUpgrade.cfg:
    - updated for slaine->dagda now that the auto-upgrade-test server
      has more diskspace
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - make running-under-ssh check more robust by looking for sshd parent
  * DistUpgrade/DistUpgradeViewText.py:
    - make user confirm information() messages before continuing
      (important for e.g. the "sshd has started" message)
  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeController.py:
    - ensure that new recommends are installed on a desktop mode upgrade 
      even if that got disabled e.g. via synaptic (LP: #759262)
    - add test for this feature

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 10:05:29 +0200

update-manager (1:0.147.5) dagda; urgency=low

  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - fix ssh detection (LP: #744995)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Apr 2011 18:24:30 +0200

update-manager (1:0.147.4) dagda; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py
   - Allow to view differences in conf file changes LP: #746431

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 14:42:15 +0100

update-manager (1:0.147.3) dagda; urgency=low

  * merged lp:~evfool/update-manager/fix665173 (LP: #665173),
    many thanks to Robert Roth (update the test a bit)
  * merged lp:~evfool/update-manager/fix150677 (LP: #150677),
    many thanks to Robert Roth 
  * merged lp:~evfool/update-manager/fix727069 (LP: #727069),
    many thanks to Robert Roth 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Apr 2011 17:32:35 +0200

update-manager (1:0.147.2) dagda; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - no not trigger a apport exception on user auth issues and if
      the user does not type the password in time (LP: #626798)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 15:49:58 +0200

update-manager (1:0.147.1) dagda; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - use pkgsystem_unlock, improve exception handling, add test
  * DistUpgrade/DistUpgradeQuirks.py: 
    - add quirks handler for slaine->dagda upgrade for the 
      kdegames-card-data case (LP: #745396)
  * tests/test_quirks.py:
    - add test for LP: #745396
  * UpdateManager/UpdateManager.py, do-release-upgrade:
    - point to http://www.ubuntu.com/releaseendoflife when the release
      is end-of-life message is displayed (LP: #671016)
  * DistUpgrade/EOLReleaseAnnouncement:
    - improve wording, this is displayed if the user is trying to upgrade
      from a unsupported version of Trisquel to a already unsupported
      version. This now links to  http://www.ubuntu.com/releaseendoflife
      (LP: #671016)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Apr 2011 11:31:50 +0200

update-manager (1:0.147) dagda; urgency=low

  [ Brian Murray]
  * UpdateManager/ReleaseNotesViewer.py: fix the path for gnome-open
    and default to xdg-open (LP: #693131) 
  
  [ Michael Vogt ]
  * DistUpgrade/apt_clone.py:
    - use apt_clone.py from the apt-clone package
  * debian/control:
    - add apt-clone to the build-depends
  * DistUpgrade/DistUpgradePatcher.py:

