=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 XS-Python-Version: all
-Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release, nvidia-common (>= 0.2.11) [i386 amd64], apt-clone
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: debhelper (>= 5.0.51), python-all-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.7.5), lsb-release,  apt-clone
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.8.0
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/dagda
 
 Package: update-manager-core
 Architecture: any
@@ -49,8 +49,8 @@
 Architecture: all
 XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}
-Recommends: qemu-kvm|kvm, ubuntu-vm-builder
+Recommends: qemu-kvm|kvm, trisquel-vm-builder
 Description: Test release upgrades in a virtual environment
- A tool to do QA for release upgrades in ubuntu that performs upgrades
+ A tool to do QA for release upgrades in trisquel that performs upgrades
  in a virtual environment. Supported backends are "chroot", "kvm" and
  "EC2".
