## update-manager 0.150.5.4

=== debian/changelog ===
update-manager (1:0.150.5.4) natty-security; urgency=low

  * SECURITY UPDATE: Incomplete fix for CVE-2012-0949 (LP: #1004503)
    - DistUpgrade/DistUpgradeApport.py: use a whitelist of files so we
      don't upload system_state archives.
    - tests/test_apport_crash.py: add test.
    - CVE-2012-0950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 31 May 2012 13:10:34 -0400

update-manager (1:0.150.5.3) natty-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 May 2012 15:31:19 -0400

update-manager (1:0.150.5.2) natty-security; urgency=low

  * REGRESSION FIX:
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2012 22:43:43 -0500

update-manager (1:0.150.5.1) natty-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 09:27:14 -0500

update-manager (1:0.150.5) natty-proposed; urgency=low

  * update apport package hook to the same one as in Oneiric (LP: #878585)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Oct 2011 17:13:17 -0700

update-manager (1:0.150.4) natty-proposed; urgency=low

  * check-new-release-gtk:
    - ensure to write a integer when calculating the next time that
      the release available window will be presented (LP: #873424)
    - hide redundant release-notes button (LP: #873432)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Oct 2011 17:35:24 +0200

update-manager (1:0.150.3) natty-proposed; urgency=low

  [ Brian Murray ]
  * add in an apport package hook to increase the quality of update-manager
    bug reports (LP: #797894)
  
  [ Michael Vogt ]
  * DistUpgrade/mirrors.cfg:
    - automatic refresh of the mirror list 
  * utils/update-base-installer.sh:
    - use natty as the base-installer source in the natty branch

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Jun 2011 12:46:34 -0700

update-manager (1:0.150.2) natty-proposed; urgency=low

  * debian/control:
    - point to "natty" branch
  * DistUpgrade/DistUpgrade.cfg:
    - remove "kde-plasmoid-cwp" early as it will break upgrades
      later (LP: #773022)
  * DistUpgrade/DistUpgradeCache.py:
    - do not fail if not all meta-package can not be upgraded, packages
      like ubuntu-desktop and xubuntu-desktop have implicit conflicts
      LP: #775411

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 May 2011 09:52:35 +0200

update-manager (1:0.150.1) natty-proposed; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - do not report zero size attachments (LP: #772052)
  * DistUpgrade/DistUpgrade.cfg:
    - enable apport for distribution upgrades (LP: #772913)
  * DistUpgrade/DistUpgradeController.py:
    - use service to start apport

  [ Michael Vogt ]
  * DistUpgrade/DistUpgrade.cfg:
    - Remove 'dontzap' from kubuntu-desktops rules (LP: #769680).
      This fixes a upgrade issue when a old package is leftover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 15:55:38 +0200
